iqbal.h File Reference
IQ balance utilities

Osmocom IQ balance utils header. More...

`#include <complex.h>`
`#include <osmocom/dsp/cxvec.h>`
Include dependency graph for iqbal.h:

Go to the source code of this file.

## Classes

struct | osmo_iqbal_opts
| Processing options for the IQ balance optimization algorithm. More...

## Functions

void | osmo_iqbal_fix (float complex *out, float complex *in, unsigned int len, float mag, float phase)
struct osmo_cxvec * | osmo_iqbal_cxvec_fix (const struct osmo_cxvec *in, float mag, float phase, struct osmo_cxvec *out)
float | osmo_iqbal_estimate (const float complex *data, int fft_size, int fft_count)
float | osmo_iqbal_cxvec_estimate (const struct osmo_cxvec *sig, int fft_size, int fft_count)
int | osmo_iqbal_cxvec_optimize (const struct osmo_cxvec *sig, float *mag, float *phase, const struct osmo_iqbal_opts *opts)

## Variables

const struct osmo_iqbal_opts | osmo_iqbal_default_opts

## Detailed Description

Osmocom IQ balance utils header.